SQ(1)

NAME
sq key approvals list - Lists third-party certifications

SYNOPSIS
sq key approvals list [OPTIONS]

DESCRIPTION
Lists third-party certifications and their approval status.

To prevent certificate flooding attacks, modern key servers prevent uncontrolled distribution of third-party certifications on certificates. To allow the key holder to control what information is distributed with their certificate, these key servers only distribute third-party certifications that the key holder has explicitly approved.

OPTIONS

  Subcommand options

--cert=FINGERPRINT|KEYID
    List the approvals on the certificate with the specified fingerprint or key ID

--cert-email=EMAIL
    List the approvals on the certificate where a user ID includes the specified email address

--cert-file=PATH
    List the approvals on the certificate read from PATH

--cert-userid=USERID
    List the approvals on the certificate with the specified user ID

--email=EMAILS
    List certifications on this email address user ID

--name=NAMES
    List certifications on this name user ID

--pending
    List unapproved certifications

--userid=USERIDS
    List certifications on this user ID

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Lists the approved certifications on all the user IDs.

    sq key approvals list \
        --cert=EB28F26E2739A4870ECC47726F0073F60FD0CBF0

Lists the unapproved certifications on all the user IDs.

    sq key approvals list --pending \
        --cert=EB28F26E2739A4870ECC47726F0073F60FD0CBF0

Lists all unapproved certifications on a given user ID.

    sq key approvals list --pending --email=alice@example.org \
        --cert=EB28F26E2739A4870ECC47726F0073F60FD0CBF0

SEE ALSO
sq(1), sq-key(1), sq-key-approvals(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
0.39.0 (sequoia-openpgp 1.21.2)